"use strict";
/**
 * There is no `compiler.version` API available prior to webpack 5,
 * therefore we will have to make some inferences about which major version of webpack we are on.
 * Feature Request: https://github.com/webpack/webpack/issues/15679
 * @description
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isWebpack5 = exports.isWebpack4 = exports.isWebpack3OrEarlier = void 0;
/**
 * We do not have quality API detection between webpack major versions 1-3.
 * We can detect the absence of hooks which was a version 3 feature.
 *
 * @public
 */
function isWebpack3OrEarlier(compiler) {
    return !compiler.hooks;
}
exports.isWebpack3OrEarlier = isWebpack3OrEarlier;
/**
 * Detects whether or not we are using webpack 4
 *
 * @public
 */
function isWebpack4(compiler) {
    var _a;
    const webpackVersion = (_a = compiler === null || compiler === void 0 ? void 0 : compiler.webpack) === null || _a === void 0 ? void 0 : _a.version;
    return !webpackVersion;
}
exports.isWebpack4 = isWebpack4;
/**
 * Detects whether or not we are using webpack 5
 *
 * @public
 */
function isWebpack5(compiler) {
    var _a;
    const webpackVersion = (_a = compiler === null || compiler === void 0 ? void 0 : compiler.webpack) === null || _a === void 0 ? void 0 : _a.version;
    return !!webpackVersion;
}
exports.isWebpack5 = isWebpack5;
//# sourceMappingURL=DetectWebpackVersion.js.map